Fahrtenbuch

MFA

Start TOTP setup

POST
/auth/mfa/totp/setup

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Response Body

TOTP-Konfiguration

application/json
  1. response
secret?string
otpauthUrl?string
qrCodeDataUrl?string
Example Request
curl -X POST 'https://example.com/api/v1/auth/mfa/totp/setup'
Example Response200
{  "secret": "string",  "otpauthUrl": "string",  "qrCodeDataUrl": "string"}

Enable TOTP

POST
/auth/mfa/totp/verify

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Request Body

application/json
  1. body
code*string
Match^[0-9]{6}$

Response Body

TOTP aktiviert

Example Request
curl -X POST 'https://example.com/api/v1/auth/mfa/totp/verify' \  -H 'Content-Type: application/json' \  -d '{  "code": "string"}'
Example Response200
Empty

Disable TOTP

DELETE
/auth/mfa/totp

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Response Body

TOTP deaktiviert

Example Request
curl -X DELETE 'https://example.com/api/v1/auth/mfa/totp'
Example Response204
Empty